Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.authentication
Class SshAuthenticationClientFactory

    java.lang.Object
      com.sshtools.j2ssh.authentication.SshAuthenticationClientFactory

public class SshAuthenticationClientFactory
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static java.lang.String` | `AUTH_HOSTBASED` DOCUMENT ME!
`static java.lang.String` | `AUTH_KBI` DOCUMENT ME!
`static java.lang.String` | `AUTH_PASSWORD` DOCUMENT ME!
`static java.lang.String` | `AUTH_PK` DOCUMENT ME!

Constructor Summary
`protected` | `SshAuthenticationClientFactory()` Creates a new SshAuthenticationClientFactory object.

Method Summary
`static java.util.List` | `getSupportedMethods()` DOCUMENT ME!
`static void` | `initialize()` DOCUMENT ME!
`static SshAuthenticationClient` | `newInstance(java.lang.String methodName)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTH_PASSWORD

    public static final java.lang.String AUTH_PASSWORD

  DOCUMENT ME!

  See Also:
    Constant Field Values

### AUTH_PK

    public static final java.lang.String AUTH_PK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### AUTH_KBI

    public static final java.lang.String AUTH_KBI

  DOCUMENT ME!

  See Also:
    Constant Field Values

### AUTH_HOSTBASED

    public static final java.lang.String AUTH_HOSTBASED

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshAuthenticationClientFactory

    protected SshAuthenticationClientFactory()

  Creates a new SshAuthenticationClientFactory object.

Method Detail

### initialize

    public static void initialize()

  DOCUMENT ME!

### getSupportedMethods

    public static java.util.List getSupportedMethods()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### newInstance

    public static SshAuthenticationClient newInstance(java.lang.String methodName)
                                               throws AlgorithmNotSupportedException

  DOCUMENT ME!

  Parameters:
    `methodName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `AlgorithmNotSupportedException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD